<?php 
/* some functions to deal with files and folders */

// return all files and folders of the given dir (in relative format)
// $exclude_filter will search in filename for that pattern, and if found, ignore that file
function listFiles($dir, $exclude_filter = null, &$results = array())
{
    $files = scandir($dir);
    foreach ($files as $key => $value)
    {
        // $path = realpath($dir . DIRECTORY_SEPARATOR . $value); // absolute path
        $absolute_path = realpath($dir . DIRECTORY_SEPARATOR . $value); // construct $absolute_path
        if (is_file($absolute_path))
        {
            if($value != "." && $value != "..")
            {
                if($exclude_filter)
                {
                    if (strpos($value, $exclude_filter) !== false) {
                        continue; // ignore that file, it contains the $exclude_filter pattern, continue with next file
                    }
                }

                // it is a valid file, add it to the $result list
                $results[] = $value;
            }
        }
    }
    
    return $results;
}

// return all folders inside a folder (in relative format, ignore . and ..)
function listFolders($dir, &$results = array())
{
    $files = scandir($dir);
    foreach ($files as $key => $value)
    {
        $absolute_path = realpath($dir . DIRECTORY_SEPARATOR . $value); // construct $absolute_path
        if (is_dir($absolute_path))
        {
            if($value != "." && $value != "..")
            {
                $results[] = $value;
            }
        }
    }

    return $results;
}

// return all files and folders of the given dir (in relative format)
function listFilesAndFolders($dir, &$results = array())
{
    $files = scandir($dir);
    foreach ($files as $key => $value)
    {
        $absolute_path = realpath($dir . DIRECTORY_SEPARATOR . $value); // construct $absolute_path
        if (is_dir($absolute_path))
        {
            $results[] = $path;
        }
        else if ($value != "." && $value != "..")
        {
            getDirContents($path, $results);
            $results[] = $value;
        }
    }
    
    return $results;
}

?>