<?php
/*
o click on a month, and month.php will open and shows all thumbnails of that month

oo in the title is a back button (which links to index.php)

oo there is also a "start slideshow" button, which will tell slideshow.php?month=2021-02 to generate a slideshow with all pics of that month (a "all pics" slideshow, might be no good idea, because it will download ALL pictures which could (depending on the size of the collection) Gigabytes of data

oo click on a thumb will open that pic (simple link to file)
*/

// load & init stuff
require_once("config.php"); // also enables/disables in-browser error reporting
require_once("./lib/files_and_folders.php");
require_once("./lib/thumbnails.imagemagick.php");

// read what month to display
$month = htmlspecialchars($_GET["input"]);

// check if input empty
if(!$month)
{
    echo '<h1>no month was passed to script, please go back to <a href="index.php">start</a></h1>';
    exit;
}
?> 
<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<meta name="description" content="an secure (install .htaccess!!!) independent, self hosting easy to install web based software (no database needed) for easy sharing pictures with family (uploading, categorizing, finding pictures)"/>
		<meta name="keywords" content="share,pictures,family" />

        <link rel="icon" href="favicon.ico"><!-- 32×32 -->
<!--    <link rel="icon" href="/icon.svg" type="image/svg+xml"> -->
        <link rel="apple-touch-icon" href="apple-touch-icon.png"><!-- 180×180 -->
        <link rel="manifest" href="manifest.webmanifest">

        <meta name="msapplication-TileColor" content="#da532c">
        <meta name="theme-color" content="#ffffff">

		<title>share family pictures with privacy & secure & easy</title>
		<!-- external styles -->
		<link href="css/style.css" type="text/css" rel="stylesheet"/>
		<script type="text/javascript" src="js/placeholders.min.js"></script>
	</head>
	<body id="body">
		<div id="parent">
			<div class="centered">
				<div id="headline" class="boxShadows">
					<h1>
                        share family pictures
					</h1>
                    <h3>
                        with privacy & secure & easy
                    </h3>
                    <a href="index.php">
                    	<button>zurück</button>
                    </a>
				</div>
				<?php
                echo '
                    <a href="slideshow.php?input='.$month.'">
                    	<button>slideshow starten</button>
                    </a>';
				?>
				<div id="content">
                    <div id="main">
							<?php				
                            // iterate over folder images
							$month_dir = "./images/".$month;
                            echo '
                                    <div class="element">
                                        <div class="title">'.$month.'</div>';
                                        GenerateAndShowThumbnails($month_dir, true);
                            echo '
                                   </div>';
                            ?>
                        </div>
                    </div>
				</div>
			</div>
		</div>
	</body>
</html>