<?php
/* o slideshow
 * 
 * oo on every month.php there is a button "start slideshow",
 * which will tell slideshow.php?input=2021-02 to start a slideshow with all pics of that month
 * (a "all pics" slideshow, might be no good idea, because it will download ALL pictures
 * which could (depending on the size of the collection) be gigabytes of data
 * 
*/

// load & init stuff
require_once("config.php"); // also enables/disables in-browser error reporting
require_once("./lib/thumbnails.imagemagick.php");
require_once("./lib/files_and_folders.php");
require_once("./lib/misc.php");

// read what month to display
$month = htmlspecialchars($_GET["input"]);

// check if input empty
if(!$month)
{
    echo '<h1>no month was passed to script, please go back to <a href="index.php">start</a></h1>';
    exit;
}
?> 
<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<meta name="description" content="an secure (install .htaccess!!!) independent, self hosting easy to install web based software (no database needed) for easy sharing pictures with family (uploading, categorizing, finding pictures)"/>
		<meta name="keywords" content="share,pictures,family" />

        <link rel="icon" href="favicon.ico"><!-- 32×32 -->
<!--    <link rel="icon" href="/icon.svg" type="image/svg+xml"> -->
        <link rel="apple-touch-icon" href="apple-touch-icon.png"><!-- 180×180 -->
        <link rel="manifest" href="manifest.webmanifest">

        <meta name="msapplication-TileColor" content="#da532c">
        <meta name="theme-color" content="#ffffff">

		<title>share family pictures with privacy & secure & easy</title>
		<!-- external styles -->
		<link href="css/style.css" type="text/css" rel="stylesheet"/>
		<script type="text/javascript" src="js/placeholders.min.js"></script>
		<script src="js/jquery.v1.11.1.min.js"></script>
		<script src="js/jquery.cycle2.js"></script>
	</head>
	<body id="body">
		<div id="parent">
			<div class="centered">
				<div id="headline" class="boxShadows">
					<h1>
                        share family pictures
					</h1>
                    <h3>
                        with privacy & secure & easy
                    </h3>
                    <a href="index.php">
                    	<button>zurück</button>
                    </a>
				</div>

                <button data-cycle-cmd="prev">Prev</button>
                <button data-cycle-cmd="next">Next</button>

				<div id="content">
					<div class="element">
						<div class="title">Slideshow des Verzeichnisses: <?php echo $month; ?></div>
						<div class="cycle-slideshow" class="cycle-slideshow" data-cycle-fx="scrollHorz" data-cycle-timeout="5000" data-cycle-swipe="true" data-cycle-swipe-fx="scrollHorz" style="overflow: hidden;">
                            <div class="cycle-caption"></div>
                            <?php
                            // iterate over folder ./images/selected-month
                            $dir = "./images/".$month;
                            $array_of_files = listFiles($dir,'thumbnail'); // get list of all images, that are not thumbnails
                            foreach ($array_of_files as $file)
                            {
                                if (strpos($file, "slideshow") !== false) // also ignore all already existing slideshow images
                                {
                                    continue; // ignore that file, it already is a slideshnow-sized-slideshow (to not create slideshows of slideshows)
                                }

                                $slideshow_fullpath = GenerateName($dir,$file,"slideshow");
                                $fullpath_original = $result = $dir.'/'.$file;

                                // if the slideshow does not exist, generate it
                                if(!file_exists($slideshow_fullpath))
                                {
                                    ImageResize($fullpath_original, $slideshow_fullpath, "1024", null);
                                }
                                echo '
                                        
                                            <img src="'.$slideshow_fullpath.'" title="'.$fullpath_original.'">
';
                            }
                            ?>
                        </div>
            		</div>
				</div>
			</div>
		</div>
	</body>
</html>